@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    border: none;
    outline: none;
    scroll-behavior: smooth;
    font-family: 'Poppins', sans-serif;
}

:root {
    --bg-color: #ffffff;
    --text-color: #333;
    --main-color: #4d54a5;
    --white-color: #fdfdfd;
    --shadow-color: rgba(0, 0, 0, .2);
    --bg1-color: #5e72b9;
    --font-color: #444a91;
    --heading-color: #39407b;
}

html {
    font-size: 62.5%;
    overflow-x: hidden;
}

body {
    background: var(--bg-color);
    color: var(--text-color);
    cursor: pointer;
}

.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 2rem 7%;
    background: transparent;
    display: flex;
    align-items: center;
    z-index: 100;
    transition: .5s;
}

.header.sticky {
    background: var(--bg-color);
    box-shadow: 0 .1rem 1rem var(--shadow-color);
}

.logo {
    font-size: 2.5rem;
    color: var(--font-color);
    font-weight: 600;
    cursor: default;
    margin-right: auto;
}

.navbar {
    display: flex;
    align-items: center;
    justify-content: flex-end;
}

.navbar a {
    margin-right: 3rem;
    font-size: 1.7rem;
}

.navbar a.active {
    color: var(--main-color);
    font-weight: 700;
}

.navbar a.active::before {
    bottom: -4px;
    height: 4px;
    opacity: 1;
}

.navbar a::before {
    content: '';
    position: absolute;
    left: 0;
    bottom: -2px;
    width: 100%;
    height: 2px;
    background: var(--main-color);
    transform: scaleX(0);
    transform-origin: right;
    transition: transform 0.2s ease-in-out;
}

.navbar a:hover::before {
    transform: scaleX(1);
    transform-origin: left;
}

.about {
    background: linear-gradient(30deg, var(--bg1-color), var(--white-color), var(--bg1-color));
    height: 118rem;
    display: flex;
    box-shadow: 5px 5px 10px 2px var(--shadow-color);
}

.about .about_text {
    margin: 100px 90px;
    letter-spacing: 0.2px;
    font-family: 'Poppins', sans-serif;
    font-family: 'Source Serif 4', serif;
}

.about .about_text h1 {
    font-size: 7rem;
    color: var(--heading-color);
    font-family: Georgia, 'Times New Roman', Times, serif;
    text-shadow: 3px 4px var(--shadow-color);
}

.about .about_text h3 {
    font-size: 4rem;
    margin-top: 2rem;
    margin-bottom: 2rem;
    color: var(--heading-color);
}

.about .about_text h6 {
    font-size: 3rem;
    margin-top: 2rem;
    margin-bottom: 2rem;
    color: var(--heading-color);
}

.about .about_text p {
    font-size: 2rem;
    color: var(--heading-color);
}

.about .about_img {
    margin: 28rem 90px;
    height: 33rem;
    box-shadow: -13px -13px rgb(139, 147, 203);
    border-radius: 1%;
}

.about .about_img img {
    height: 35rem;
    width: 27rem;
    border-radius: 1%;
    border: 10px solid var(--main-color);
    box-shadow: 15px 15px rgb(139, 147, 203);
}

.btn {
    display: inline-block;
    padding: 1.2rem 2.8rem;
    background: var(--main-color);
    border-radius: .6rem;
    box-shadow: 0 .2rem 5rem var(--shadow-color);
    font-size: 1.6rem;
    color: var(--white-color);
    letter-spacing: .1rem;
    font-weight: 600;
    border: .3rem solid transparent;
    transition: .5s ease;
}

.btn:hover {
    background: var(--white-color);
    color: var(--main-color);
    border-color: var(--main-color);
}

.heading {
    font-size: 4.5rem;
    text-align: center;
}

.pie-chart-container {
    height: 65rem;
    box-shadow: 5px 5px 10px 2px var(--shadow-color);
    background: linear-gradient(-30deg, var(--white-color), rgb(243, 247, 255), var(--white-color));
    transition: background-color 0.5s ease;
}

.pie-chart {
    display: flex;
    justify-content: space-between;
    margin-top: 3rem;
    margin-left: 20%;
    margin-right: 20%;
    font-size: 20px;
    line-height: 5rem;
    list-style-type: none;
    color: var(--font-color);
}

.Technical {
    padding: 10px;
    margin-left: -50px;
}

.Technical ul {
    color: var(--font-color);
    list-style-type: none;
}

.Soft {
    padding: 10px;
}

.Soft ul {
    color: var(--font-color);
    list-style-type: none;
}

.Language {
    margin-top: 5rem;
    padding: 10px;
}

span {
    color: var(--font-color);
}

.pie-chart-container:hover {
    background: linear-gradient(-30deg, rgb(243, 247, 255), var(--white-color), rgb(243, 247, 255));
    transition: background-color 0.5s ease;
}

.Technical ul li:hover, .Soft ul li:hover, .Language ul li:hover {
    color: var(--main-color);
    cursor: pointer;
    transition: color 0.3s ease;
}

.Random_Facts {
    margin-top: 3rem;
    height: 80rem;
    box-shadow: inset 0px -10px 15px -10px var(--shadow-color);
    background: linear-gradient(-30deg, var(--white-color), rgb(243, 247, 255), var(--white-color));
    padding: 7rem;
}

#facts {
    display: flex;
    margin: 5rem;
}

#facts .random_img img {
    margin: 8rem;
    height: 33rem;
    width: 25rem;
    transform: rotate(-20deg);
}

#facts ul {
    height: 30rem;
    margin-left: 12rem;
    margin-top: 5rem;
    font-size: 20px;
    line-height: 5rem;
    list-style-type: none;
    color: var(--font-color);
}

.footer {
    background-color: #f7f7f7;
    padding: 1rem 0;
    box-shadow: 0 -2px 6px rgba(0, 0, 0, 0.1);
}

.footer-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0 2rem;
}

.footer-copyright {
    flex: 1;
}

.footer-copyright a {
    font-size: 1.4rem;
    text-decoration: none;
    color: #4d54a5;
}

.footer-social {
    flex: 1;
    display: flex;
    justify-content: center;
}

.footer-social a {
    margin: 0 1rem;
    text-decoration: none;
    color: #4d54a5;
    font-size: 2rem;
    transition: transform 0.2s;
}

.footer-social a:hover {
    transform: scale(1.1);
}

.footer-email {
    flex: 1;
    text-align: right;
    font-size: 1.4rem;
}

.footer-email a {
    text-decoration: none;
    color: #4d54a5;
}

.footer-email a:hover {
    text-decoration: underline;
}
/* Small screens */
@media (max-width: 768px) {
    .about {
        height: auto;
        padding: 4rem;
        flex-direction: column;
        text-align: center;
    }

    .about .about_text {
        margin: 2rem 0;
    }

    .about .about_img {
        margin: 2rem 0;
        height: auto;
    }
    .pie-chart-container {
        height: auto;
        padding: 2rem;
    }

    .pie-chart {
        flex-direction: column;
        text-align: center;
        margin-left: 0;
        margin-right: 0;
    }
    .Random_Facts {
        height: auto;
        padding: 2rem;
    }

    #facts {
        flex-direction: column;
        align-items: center;
        margin-bottom: 25rem;
    }

    #facts .random_img img {
        margin: 1rem;
        height: auto;
        width: 50%;
        transform: none;
        margin-left: 150px;
    }

    #facts ul {
        margin-left: 0;
        margin-top: 2rem;
    }
    .footer-content {
        flex-direction: column;
        align-items: center;
        text-align: center;
    }
    
    .footer-copyright {
        order: 1;
    }
    
    .footer-social {
        order: 3;
        margin-top: 1rem;
    }
    
    .footer-email {
        order: 2;
    }
}
/* Medium screens */
@media (min-width: 769px) and (max-width: 1023px) {
    .about {
        height: auto;
        padding: 4rem;
        flex-direction: column;
        text-align: center;
    }

    .about .about_text {
        margin: 2rem 0;
    }

    .about .about_img {
        margin: 2rem 0;
        height: auto;
    }
    .pie-chart-container {
        height: auto;
        padding: 2rem;
    }

    .pie-chart {
        flex-direction: column;
        text-align: center;
        margin-left: 0;
        margin-right: 0;
    }
    .Random_Facts {
        height: auto;
        padding: 2rem;
    }

    #facts {
        flex-direction: column;
        align-items: center;
        margin: 1rem;
    }

    #facts .random_img img {
        margin: 1rem;
        height: auto;
        width: 50%;
        transform: none;
        margin-left: 190px;
    }

    #facts ul {
        margin-left: 0;
        margin-top: 2rem;
    }
    .footer-content {
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
    }
    
    .footer-copyright {
        order: 1;
    }
    
    .footer-social {
        order: 3;
        margin-top: 0;
    }
    
    .footer-email {
        order: 2;
    }
}
/* Large screens */
@media (min-width: 1024px) and (max-width: 1279px) {
    .about {
        height: 120rem;
        padding: 100px 90px;
        flex-direction: row;
    }

    .about .about_text {
        margin: 100px 90px;
    }

    .about .about_img {
        margin: 28rem 90px;
        height: 33rem;
    }
    .pie-chart-container {
        height: 65rem;
        padding: 2rem;
    }

    .pie-chart {
        flex-direction: row;
        text-align: left;
        margin-left: 20%;
        margin-right: 20%;
    }
    .Random_Facts {
        height: 80rem;
        padding: 7rem;
    }

    #facts {
        flex-direction: row;
        align-items: flex-start;
        margin: 5rem;
    }

    #facts .random_img img {
        margin: 8rem;
        height: 33rem;
        width: 25rem;
        transform: rotate(-20deg);
    }

    #facts ul {
        margin-left: 12rem;
        margin-top: 5rem;
    }
    .footer-content {
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
    }
    
    .footer-copyright {
        order: 1;
    }
    
    .footer-social {
        order: 3;
        margin-top: 0;
    }
    
    .footer-email {
        order: 2;
    }
}

